@ ECHO off
  REM DELTREE R1.01   Extended file and directory delete
  REM Copyright (c) 1997,1998 Caldera, Inc.  All rights reserved.
  REM
  REM Last edit: 98-01-09 MPAUL
  REM
  
  IF ""=="%1" GOTO badparam

  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/H"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-H"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/h"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-h"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/HELP"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-HELP"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/Help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-Help"=="%%x" GOTO help
  IF "/?"=="%1" GOTO help
  IF "-?"=="%1" GOTO help
  IF "/?"=="%2" GOTO help
  IF "-?"=="%2" GOTO help
  IF "/?"=="%3" GOTO help
  IF "-?"=="%3" GOTO help
  IF "/?"=="%4" GOTO help
  IF "-?"=="%4" GOTO help
  IF "/?"=="%5" GOTO help
  IF "-?"=="%5" GOTO help
  IF "/?"=="%6" GOTO help
  IF "-?"=="%6" GOTO help
  IF "/?"=="%7" GOTO help
  IF "-?"=="%7" GOTO help
  IF "/?"=="%8" GOTO help
  IF "-?"=="%8" GOTO help
  IF "/?"=="%9" GOTO help
  IF "-?"=="%9" GOTO help
  IF "?"=="%1" GOTO help

  IF NOT "4"=="%@Eval[2+2]%" GOTO start

  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%H"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%h"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%HELP"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%help"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%Help"=="%%x" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%1" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%2" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%3" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%4" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%5" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%6" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%7" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%8" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%9" GOTO help

:start
@ IF "4"=="%@Eval[2+2]%" start10
@ IF ""=="%/%" GOTO start10
@ XDEL %/%SDR %1 %2 %3 %4 %5 %6 %7 %8 %9
  GOTO end

:start10
@ XDEL /SDR %1 %2 %3 %4 %5 %6 %7 %8 %9
  GOTO end

:badparam
  ECHO Wrong number of parameters, filename must be specified.
  ECHO.

:help
  ECHO DELTREE R1.01   Extended file and directory delete
  ECHO Copyright (c) 1997,1998 Caldera, Inc.  All rights reserved.
  ECHO.
  IF "4"=="%@Eval[2+2]%" GOTO noswitch
  IF ""=="%/%" GOTO noswitch
  ECHO DELTREE [%/%N] [drive:]path [[drive:]path[...]]
  ECHO.
  ECHO %/%N delete specified files with no warning (careful!)
  ECHO %/%O overwrite before deleting - file contents PERMANENTLY LOST
  ECHO.
  GOTO end

:noswitch
  ECHO DELTREE [/N] [drive:]path [[drive:]path[...]]
  ECHO.
  ECHO /N delete specified files with no warning (careful!)
  ECHO /O overwrite before deleting - file contents PERMANENTLY LOST
  ECHO.

:end
  REM Dummy
  REM Dummy
